curl --request GET \
--url https://api.tokenfactory.nebius.com/v1/datasets/{dataset_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tokenfactory.nebius.com/v1/datasets/{dataset_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tokenfactory.nebius.com/v1/datasets/{dataset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "4d89c87498354518b92fa02fc0ad8720",
"name": "example_dataset",
"status": "READY",
"schema": {
"name": "text",
"type": {
"name": "string"
}
},
"metadata": {},
"folder": "/some/folder",
"current_version": "0ed2d94b38fb40b9b61f6a",
"created_at": 1760109124,
"error": "<string>",
"current_version_origin": {
"type": "s3"
},
"current_version_summary": {
"id": "0ed2d94b38fb40b9b61f6a",
"origin": {
"type": "s3"
},
"row_count": 100,
"size_bytes": 1024
},
"type": "dataset",
"ai_project_id": "example_project"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get dataset info
Get dataset info
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
The object identifier, which can be referenced in the API endpoints.
"4d89c87498354518b92fa02fc0ad8720"
ID of the dataset.
"example_dataset"
Current status of the dataset.
READY, PENDING, FAILED, TEMPORARY, DRAFT "READY"
"FAILED"
"PENDING"
Dataset schema definition.
Show child attributes
Show child attributes
{
"name": "text",
"type": { "name": "string" }
}
{
"name": "text_1",
"type": {
"item": { "name": "string" },
"name": "option"
}
}
Additional metadata associated with the dataset.
Show child attributes
Show child attributes
{}
Folder path where the dataset is stored.
"/some/folder"
Current version of the dataset.
"0ed2d94b38fb40b9b61f6a"
Unix timestamp when the dataset was created.
1760109124
Error message if the dataset is in an error state.
Origin information for the current dataset version. This object is extensible for source-specific fields.
Show child attributes
Show child attributes
{ "type": "s3" }
Summary of the current dataset version.
Show child attributes
Show child attributes
{
"id": "0ed2d94b38fb40b9b61f6a",
"origin": { "type": "s3" },
"row_count": 100,
"size_bytes": 1024
}
AI Studio project ID to associate with the dataset.
"example_project"
Was this page helpful?